Get validator NFTs listed for sale on OpenSea
GET
/nfts/validators/listings
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/nfts/validators/listings', params: {limit: '50', offset: '0'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/nfts/validators/listings";
let querystring = [ ("limit", "50"), ("offset", "0"), ];
let client = reqwest::Client::new(); let response = client.get(url) .query(&querystring) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url 'https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0'wget --quiet \ --method GET \ --output-document \ - 'https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
offset
integer
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
values
required
Array<object>
object
orderHash
required
string
tokenId
required
string
name
required
string | null
imageUrl
required
string | null
priceWei
required
string
priceEth
required
string
currency
required
string
seller
required
string
openseaUrl
required
string
total
required
number
limit
required
number
offset
required
number
Example generated
{ "values": [ { "orderHash": "example", "tokenId": "example", "name": "example", "imageUrl": "example", "priceWei": "example", "priceEth": "example", "currency": "example", "seller": "example", "openseaUrl": "example" } ], "total": 1, "limit": 1, "offset": 1}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Not found
Media typeapplication/json
Not found error (404)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}